use prod_ln_scene;
#创建集合
db.createCollection("StoneOrderListVo");
db.createCollection("StoneScoreItems");
db.createCollection("StoneScoreLogs");
db.createCollection("StoneUserVo");


#创建索引
db.StoneOrderListVo.createIndex({uid:"hashed"});
db.StoneScoreItems.createIndex({itemId:"hashed"});
db.StoneScoreItems.createIndex({status:"hashed"});
db.StoneScoreItems.createIndex({startTime:"hashed"});
db.StoneScoreItems.createIndex({endTime:"hashed"});
db.StoneScoreLogs.createIndex({uid:"hashed"});
db.StoneUserVo.createIndex({uid:"hashed"});


#创建分片
sh.enableSharding("prod_ln_scene");
sh.shardCollection("prod_ln_scene.StoneOrderListVo",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.StoneScoreItems",{"itemId":"hashed"});
sh.shardCollection("prod_ln_scene.StoneScoreLogs",{"uid":"hashed"});
sh.shardCollection("prod_ln_scene.StoneUserVo",{"uid":"hashed"});


